<?php
/**
 * This file is part of
 * Kimai - Open Source Time Tracking // https://www.kimai.org
 * (c) 2006-2009 Kimai-Development-Team
 *
 * Kimai is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; Version 3, 29 June 2007
 *
 * Kimai is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Kimai; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/**
 * français
 * by Willem van Gemert
 * et diaoul 02/11/10 encodé en ANSI AS UTF-8 rev 394
 * updated by Claude Gelinas 10-12-2014
 */
return [
    "countryCode" => "fr-FR",
    "preferences" => "Préférences",
    "total" => "Total",
    "monatzeit" => "Mois",
    "heute" => "aujourd'hui",
    "gestern" => "hier",
    "autoOn" => "Auto On",
    "autoOff" => "Auto Off",
    "datum" => "Date",
    "in" => "Entrée",
    "out" => "Sortie",
    "time" => "h:m",
    "timelabel" => "Temps",
    "starttime" => "démarrage",
    "DateTimeNotInFuture" => "Le jour et l'heure ne peuvent être dans le futur.",
    "durationlabel" => "Durée",
    "customer" => "Client",
    "project" => "Projet",
    "activity" => "Tâche",
    "customers" => "Clients",
    "projects" => "Projets",
    "activities" => "Tâches",
    "admin" => "Admin",
    "rowlimit" => "Nombre maximum de lignes",
    "breiteZeitspalte" => "largeur colonne heure",
    "breiteUhrspalte" => "largeur colonne montre",
    "breiteDatumspalte" => "largeur colonne date",
    "recommended" => "recommendé",
    "submit" => "OK",
    "cancel" => "Annuler",
    "close" => "Fermer",
    "edit" => "Modifier Entrée",
    "editNote" => "Modifier la note",
    "note" => "Note",
    "construction" => "en construction...",
    "about" => "A propos de Kimai",
    "hours" => "heures",
    "mins" => "minutes",
    "secs" => "secondes",
    "skin" => "Thème",
    "erase" => "Effacer entrée",
    "new_customer" => "Ajouter client",
    "new_project" => "Ajouter projet",
    "new_activity" => "Ajouter tâche",
    "day_summary" => "Résumé heures",
    "plzChoose" => "Choisissez svp",
    "recordAgain" => "Enregistrer cette tâche de nouveau",
    "comment" => "Commentaire",
    "location" => "Lieu",
    "trackingNumber" => "N°",
    "cookiewarning" => "Les cookies doivent être acceptés! Autoriser les cookies avant de continuer.",
    "JSwarning" => "JavaScript doit être activé! Cette version ne fonctionne pas sans cela.",
    "banned" => "Bloqué (Compte bloqué)",
    "tooManyLogins" => "Trop de mauvaises tentatives de connexion - utilisateur bloqué.",
    "accessDenied" => "Accès refusé !",
    "wrongPass" => "Mauvais utilisateur et/ou mot de passe",
    "tryAgain" => "Réessayer / mot de passe oublié?",
    "back" => "Retour à la fenêtre de connexion",
    "bye" => "Au revoir!",
    "login" => "Connexion",
    "logout" => "Déconnexion",
    "loggedon" => "Connecté en tant que:",
    "username" => "Usager",
    "password" => "Mot de passe",
    "newPassword" => "Nouveau mot de passe",
    "retypePassword" => "Confirmer le mot de passe",
    "passwordsDontMatch" => "les mots de passe entrés ne concordent pas.",
    "passwordTooShort" => "le mot de passe est de moins de 5 caractères.",
    "forgotPassword" => "Mot de passe oublié",

    "passwordReset" => [
        "notSupported" => "Le plugin présent ne supporte pas la réinitialisation du mot de passe.",
        "instructions" => "Entrer votre nom d'usager et un courriel contenant un lien sera envoyé à l'adresse courriel associée. Il n'y aura pas d'avertissement si votre nom d'usager est incorecte alors asurez-vous de l'inscrire correctement!",
        "mailSubject" => "Kimai - réinitialisation du mot de passe",
        "mailMessage" => "Ceci est un message courriel automatique pour réinitialiser votre mot de passe à Kimai. Svp, ouvrir l'adresse suivante dans votre navigateur: %{URL}",
        "mailConfirmation" => "Un courriel a été envoyé à l'adresse courriel associée. Svp, suivre les instructions fournies dans ce courriel. Si aucune adresse courriel n'est associée à ce nom d'usager vous ne recevrez aucun courriel et devrez contacter votre administrateur.",
        "returnToLogin" => "retour à la page de connection",
        "invalidKey" => "Le code de sécurité ne concorde pas avec la clé transmise par courriel. Assurez-vous que le lien complet est ouvert par votre navigateur.",
        "success" => "Votre mot de passe a été changé.",
    ],

    "minLength" => "min. 5 caractères!",
    "update" => "La structure de la base de données de la version Kimai installée a été mise à jour.<br />Nous recommandons de sauvegarder vos données pour éviter toute perte<br />durant la procédure de mise a jour.",
    "updateNow" => "Mise à jour de la base de données en cours!",
    "stop" => "Arrêt!",
    "start" => "Démarre!",
    "setTimeframe" => "Choisir plage",
    "now" => "Maintenant",
    "specify" => "Spécifier la liste",
    "add" => "Ajouter",
    "addNote" => "Ajouter une note",
    "running" => "En cours...",
    "company" => "Societé",

    "vat" => "TVA",
    "contactPerson" => "Contact:",

    "street" => "Rue",
    "zipcode" => "Code postal",
    "city" => "Ville",
    "telephon" => "Téléphone",
    "fax" => "Fax",
    "mobilephone" => "Mobile",
    "mail" => "Courriel",
    "homepage" => "Site",
    "users" => "Utilisateurs",
    "name" => "Nom",
    "alias" => "Alias",
    "adduser" => "Ajouter utilisateur",
    "addgroup" => "Ajouter groupe",
    "group" => "Groupe",
    "groups" => "Groupes",
    "advanced" => "Avancé",
    "database" => "Base de données",
    "options" => "Options",
    "description" => "Description",
    "status" => "Statut",
    "editstatus" => "Editer le statut",
    "new_status" => "Ajouter un statut",
    "delete_status" => "Efacer un statut",
    "globalRole" => "permission globale",
    "addGlobalRole" => "ajouter une permission globale",
    "editGlobalRole" => "éditer une permission globale",
    "deleteGlobalRole" => "effacer une permission globale",
    "globalRoles" => "Permissions globales",
    "membershipRole" => "permission de groupe",
    "addMembershipRole" => "ajouter permission de groupe",
    "editMembershipRole" => "éditer permission de groupe",
    "deleteMembershipRole" => "effacer permission de groupe",
    "membershipRoles" => "Permissions de groupes",
    "rolename" => "role name",
    "adminmail" => "Adresse courriel de l'administrateur",
    "logintries" => "Nombre de mauvaises tentatives de connexions autorisées avant de bloquer l'utilisateur",
    "bantime" => "Durée du bloquage en secondes",
    "defaultGroup" => "Défaut (0)",
    "user" => "Utilisateur standard",
    "editUser" => "Editer l'utilisateur",
    "editGroup" => "Editer le groupe",
    "delete_group" => "Supprimer groupe",
    "delete_project" => "Supprimer projet",
    "delete_customer" => "Supprimer client",
    "delete_activity" => "Supprimer tâche",
    "switchUser" => "Basculer vers cet utilisateur",
    "backupUser" => "Faire une sauvegarde de cet utilisateur",
    "mailUser" => "Envoyer un email à cet utilisateur",
    "deleteUser" => "Supprimer cet utilisateur",
    "bannedUser" => "Utilisateur désactivé - cliquer pour réactiver",
    "activeAccount" => "Utilisateur actif - cliquer pour désactiver",
    "members" => "Membres",
    "nopasswordset" => "Aucun mot de passe enregistré",
    "nopassword" => "Aucun mot de passe",
    "noItems" => "Pas d'entrées",
    "DBname" => "Nom de la base de données",
    "autoselection" => "Sélection automatique",
    "openAfterRecorded" => "Ouvrir l'entrée lorsque l'enregistrement se termine",
    "quickdelete" => "Suppression rapide des données dans les tables",
    "quickdeleteHide" => "Non",
    "quickdeleteShow" => "Oui, sans dialogue de confirmation",
    "quickdeleteShowConfirm" => "Oui, avec dialogue de confirmation",
    "tools" => "Outils",
    "print" => "Imprimer",
    "save" => "Sauvegarder",
    "export" => "Exporter",
    "groupname" => "Nom du groupe",
    "help" => "Aider",
    "select" => "Sélectionner",
    "hidedeletedusers" => "Cacher les utilisateurs supprimés",
    "showdeletedusers" => "Afficher les utilisateurs supprimés",

    "month" => "Mois",
    "day" => "Jour",
    "year" => "Année",

    "lang" => "Langue",

    "ac" => "Entrée automatiquement continuée.",
    "ac_error" => "Entrée automatiquement continuée avec erreur (intervalle trop long).",
    "refundable_long" => "Remboursable (à l'employé)",
    "refundable" => "Remboursable",
    "yes" => "oui",
    "no" => "non",
    "default" => "défaut",
    "commentType" => "Type de commentaire",
    "ctype0" => "Commentaire",
    "ctype1" => "Note",
    "ctype2" => "Attention!",
    "hint" => "Truc:",
    "rename_caution_before_username" => "Si vous modifiez le nom d'utilisateur de",
    "rename_caution_after_username" => "vous devrez vous reconnecter immédiatement avec le nouvel utilisateur!",
    "timediff_warn" => "Vous devez saisir des heures différentes dans ces champs!",
    "visibility" => "Visibilité",
    "showitem" => "Rendre visible",
    "hideitem" => "Rendre invisible",
    "checkUsername" => "Vous devez saisir un nom d'utilisateur dans le champ à gauche du bouton Ajouter!",
    "checkGroupname" => "Vous devez entrer un nom de groupe dans le champ à gauche du bouton ajouter-un-groupe!",
    "checkGlobalRoleName" => "Vous devez entrer un nom de rôle dans le champ à gauche du bouton ajouter-un-rôle!",
    "checkMembershipRoleName" => "Vous devez entrer un nom de rôle dans le champ à gauche du bouton ajouter-un-rôle!",
    "clickToReload" => "Cliquer ici pour relancer l'interface graphique",
    "sure" => "Etes-vous sûr?",
    "clock" => "Horloge",
    "currSum" => "Synthèse horaire",
    "admWarn" => "Vous êtes Admin. Ce statut ne peut être abaissé que par un autre admin.",
    "flip_project_display" => "Trier la table des tâches par client",
    "project_comment_flag" => "Toujours afficher les commentaires à coté des tâches",
    "showIDs" => "Montrer les IDs",
    "error" => "Une erreur est survenue!",
    "checkupdate" => "Vérifier si une mise à jour est disponible",

    "selectedForRecording" => "Sélection en cours pour saisie:",
    "selectedCustomerLabel" => "C:",
    "selectedProjectLabel" => "P:",
    "selectedActivityLabel" => "T:",

    "testCustomer" => "Client-Test",
    "testProject" => "Projet-Test",
    "testActivity" => "Tâche-test",
    "time_billable" => "Facturation horaire",
    "billable" => "Facturation",
    "effort" => "Effort",
    "used" => "Utilisé",
    "budget" => "Budget",
    "budget_available" => "Budget disponible",
    "budget_activity" => "Budget de la tâche",
    "budget_activity_used" => "Budget utilisé",
    "budget_activity_approved" => "Budget approuvé",
    "budget_minus" => "dépassement",
    "rate" => "Taux horaire (par heure)",
    "rate_short" => "Taux",
    "default_rate" => "Taux par défaut",
    "approved" => "Approuvé",
    "my_rate" => "Mon taux",
    "fixedRate" => "Taux fixe",
    "wage" => "Coût",
    "roundTimesheetEntries" => "Arrondir la nouvelle entrée à",
    "minutes" => "Minutes",
    "seconds" => "Seconds",
    "and" => "et",

    "customerlogin" => "Login client",

    "expense" => "Dép.",
    "designation" => "Désignation",

    "cleared" => "validé",
    "atLeastOneGroup" => "Au moins un groupe doit être sélectionné.",
    "noFading" => "Pas d'effet fondu",
    "user_list_hidden" => "Cacher la liste util. par défaut",
    "checkStatusname" => "Vous devez entrer un nom de statut dans le champ à gauche du bouton ajouter-un-statut!",
    'show_update_warn' => 'Désactiver l\'alerte avant une mise à jour.',
    'check_at_startup' => 'Montrer un message sur la page de conection si une nouvelle version est disponible.',
    'show_daySeperatorLines' => 'Tirer une ligne entre les entrées de jours différents.',
    'show_gabBreaks' => 'Tirer une ligne entre deux enregistrements qui ne sont pas parfaitement jointifs.',
    'show_RecordAgain' => 'Montrer le bouton &quot;Réenregistrer&quot; en face de chaque saisie.',
    'show_TrackingNr' => 'Autoriser l\' édition du champ N°-Suivi.',
    'currency_name' => 'Nom de la monnaie à utiliser.',
    'currency_sign' => 'Symbole de la monnaie à utiliser.',
    'currency_first' => 'Indiquer la monnaie avant la valeur (ex: &euro; 100,00)',
    'display_date_format' => 'Format de la date pour la notation de la plage de temps (<a href="http://php.net/manual/en/function.strftime.php" target="_blank"> pour la fonction strftime()</a>)',
    'table_date_format' => 'Format de la date pour les tables (<a href="http://php.net/manual/en/function.strftime.php" target="_blank">pour la fonction strftime()</a>)',
    'round_time' => 'Arrondir le temps à ',
    'round_time_minute' => ' minute(s).',
    "allowRoundDown" => "Permettre d'arrondir l'entrée à la baisse.",
    'logged_in_as' => 'Connecté comme:',

    'decimal_separator' => 'Séparateur décimal',

    'view_filter' => 'Voir le filtre',
    'unassigned' => 'Aucun',
    'all_activities' => '&lt;&lt;Tous&gt;&gt;',
    'all' => 'tous',
    'durationWithSeconds' => 'Montrer la durée à la seconde près.',

    'multiplier' => 'Multiplicateur',

    'dateAndTimeHelp' => '<strong>Les temps et dates peuvent être entrés avec la notation courte:</strong><br />
            Dates: 5 &rarr; le 5 du mois courant &nbsp;&nbsp;
            1004 &rarr; le 10.04. de l\'année en cours &nbsp;&nbsp;
            100406 &rarr; 10.04.2006<br />
            Times: 7 &rarr; 07:00:00  &nbsp;&nbsp;
            14 &rarr; 14:00:00  &nbsp;&nbsp;
            0910 &rarr; 09:10:00  &nbsp;&nbsp;
            091020 &rarr; 09:10:20 &nbsp;&nbsp;',
    'editNoteHelp' => '<strong>Les commentaires peuvent être entrés dans l\'ordre qui vous convient<br />
et pourront être modifiés par la suite au besoin, sans limite.</strong>',
    'timezone' => 'fuseau horaire',
    'defaultTimezone' => 'fuseau horaire pour les nouveaux utilisateurs et clients',
    'editLimitPart1' => 'Aucune entrée ne peut être ajoutée ou éditée qui se termine plus tard que',
    'editLimitPart2' => 'jour(s) et',
    'editLimitPart3' => 'heure(s) dans le passé.',
    "editLimitError" => "La date de fin est plus loin dans le passé qu'il est permit.",
    'hideClearedEntries' => 'cacher les données supprimées',
    'defaultLocation' => 'Localisation par défaut',
    'showQuickNote' => 'afficher bouton de note',
    'showCommentsByDefault' => 'montrer le commentaire par défaut',
    'showTrackingNumber' => 'montrer le numéro de suivit',
    "hideOverlapLines" => "Ne pas indiquer le chevauchement de temps d'entrée",

    'general' => 'Général',
    'address' => 'Adresse',
    'contact' => 'Contact',
    'timesheet' => 'Feuille de temps',
    'list' => 'Liste',
    'sublists' => 'listes inférieurs',

    "filter" => "Filtre",

    'internalProject' => 'Projet interne',

    'exactSums' => 'Utiliser les sommes exactes au lieu d\' additionner les valeurs arrondies indiquées.',

    'securityWarning' => 'Alerte de sécurité',
    'installerWarningHeadline' => 'Le dossier d\'installation (INSTALL) est toujours présent!',
    'installerWarningText' => 'Vous devez supprimer le dossier d\'installation (INSTALL) afin que personne ne puisse ré-installer KIMAI.',

    'change' => 'change',
    'sublistAnnotations' => 'annotations sous-liste',
    'TimeDateInputError' => 'Le temps ou la date entrée ne sont pas valides.',
    'StartTimeBeforeEndTime' => 'Le temps de départ doit être antérieure au temps de fin.',

    'credits' => <<<'EOD'
        Si vous faites des modifications, nous aprécierions que vous postiez sur <a href="%1$s">forum</a>.
        La dernière version peut être téléchargée <a href="%2$s">Ici</a> (Pour les test seulement!).
        <br /><br />
        SVP supportez les futurs développements de Kimai avec une <a href="%3$s">donation</a> ou en étendant sa <a href="%5$s">bibliothèque de langues</a>.
        Si vous trouvez des bugs ou avez des idées de fonctionnalités, n'\hésitez pas à nous contacter sur le forum.
        Ou encore mieux: créer un <a href="%4$s">ticket</a>.
EOD
    ,
    'credits_license' => 'Ce logiciel est un logiciel libre et publié \'EN L\'ETAT\' sans aucune espèce de garantie sous les conditions de la %1$s.',
    'credits_thanks' => 'Des remerciement aussi pour le support à:',
    'credits_libs' => 'Our thanks also go to the projects:',


    'months' => ["Janvier", "Février", "Mars", "Avril", "Mai", "Juin", "Juillet", "Août", "Septembre", "Octobre", "Novembre", "Décembre"],
    'months_short' => ["Jan", "Fév", "Mar", "Avr", "Mai", "Jun", "Jul", "Aoû", "Sep", "Oct", "Nov", "Déc"],
    'weekdays' => ["Dimanche", "Lundi", "Mardi", "Mercredi", "Jeudi", "Vendredi", "Samedi"],
    'weekdays_short' => ["Dim", "Lun", "Mar", "Mer", "Jeu", "Ven", "Sam"],
    'quicklink_today' => "Aujourd'hui",
    'quicklink_yesterday' => "Hier",
    'quicklink_lastWeek' => "Semaine dernière",
    'quicklink_lastMonth' => "Mois dernier",
    'quicklink_thisWeek' => "Cette semaine",
    'quicklink_thisMonth' => "Ce mois",


    'errorMessages' => [
        'permissionDenied' => 'Permission refusée',
        "userWithSameName" => "Le nom d'un client ne peut être le même que le nom d'un usager.",
        "customerWithSameName" => "Le nom d'un usager ne peut être le même que le nom d'un client.",
        'sameGlobalRoleName' => 'Un rôle global avec ce nom existe déjà.',
        "sameMembershipRoleName" => "Un rôle d'adhésion avec ce nom existe déjà.",
        'noActivitySelected' => 'Aucune activité sélectionnée.',
        'noProjectSelected' => 'Aucun projet sélectionné.',
        'multiplierNegative' => 'Le multiplicateur doit être plus grand que 0.',
    ],

    'confirmations' => [
        'ownGlobalRoleChange' => 'Etes vous certain de vouloir changer votre propre rôle globale de "%OLD%" à "%NEW%"?\n Ceci pourrait conduire à des permissions miondres!',
    ],
    'errors' => [
        0 => [
            'hdl' => "Impossible de se connecter à la base de données!",
            'txt' => "Vérifier que la base de données fonctionne, possède un connecteur PDO actif et que les entrées dans le fichier 'conf.php' du répertoire 'includes' sont correctes."
        ],
        1 => [
            'hdl' => "Erreur durant l'installation!",
            'txt' => 'Kimai ne peut créer les tables neccessaires car des tables avec ce nom de préfixe existent déjà.<br/>
Pour mettre à jour l\'installation existante, merci de cliquer <a href="../index.php">Ici</a>.<br/>
Choisissez un autre préfixe de table ou supprimez les tables existantes avec ce préfixe pour permettre à Kimai une installation correcte.'
        ]
    ],

    'updater' => [
        0 => "Oui, j'ai une sauvegarde de la base Kimai! Continuer la mise à jour!",
        10 => "Légende",
        20 => "La requête a été exécutée correctement.",
        30 => "La requête a causé une erreur - trècertainement mineure.",
        40 => "La requête a causé une erreur fatale.",
        50 => "Fichier de log de la sauvegarde:",
        60 => "La sauvegarde a échoué - Mise à jour annulée!",
        70 => "Fichier de  log de la mise a jour:",
        80 => "La base de données a été mise à jour et une copie de sauvegarde a été créée.",
        90 => "Requêtes exécutées.",
        100 => "La mise a jour de la base de données a échoué à cause d'une erreur fatale. Une sauvegarde a été créée au cas o&ugrave; Kimai ne fonctionnerait plus correctement.",
        110 => "Nouveau mot de passe",
        120 => "Voir ci-dessous pour les mots de passe de tous les utilisateurs.",
        130 => "Impossible d'écrire dans autoconf.php.",
        140 => "Mise a jour du fichier autoconf.php",
        'timezone' => 'Kimai supporte les fuseaux horaires. SVP sélectioner votre fuseau horaire par défaut.Il sera utilisé pour tous les utilisateurs et clients. les utilisateurs peuvent changer leur fuseau horaire.',
    ],

    'backup' => [
        0 => "L'outil de sauvegarde/restauration n' a pas encore été testé! A utiliser à vos propres risques!",
        1 => "Sauvegardes disponibles:",
        2 => "restauré",
        3 => "supprimé",
        4 => "OK",
        5 => "Vous pouvez seulement retrouver *une* sauvegarde à la fois!",
        6 => "Sauvegarde du ",
        7 => "a été restauré.",
        8 => "Faire une sauvegarde",
        9 => "Ces sauvegardes sont des instantanés! Ceci signifie qu'ils continuent de vivre dans la base de données actuelle dans laquelle Kimai stocke ces données. Les sauvegardes via cet utilitaire ne remplacent pas les sauvegardes sur un media physique séparé. Il y a plein d'outils de sauvegarde de base de données sur le web ;)",
        10 => "Identification requise",
        11 => "Pour empêcher les personnes non-autorisées de créer, effacer ou restaurer une sauvegarde vous devez donner le code d'injection du mote de passe inscrite dans include/autoconf.php. Il est constitué de lettre et de chiffres.",
    ],


    'export_extension' => [

        "print_hint" => "Cliquer sur OK pour ouvrir un tableau imprimable.",
        "dl_hint" => "Cliquer sur OK pour télécharger le fichier exporté.",

        "tab_filter" => "Filtre",
        "tab_location" => "Lieu",
        "tab_timeformat" => "Format des temps",

        "cleared_all" => "Tous",
        "cleared_cleared" => "Seuls les validés",
        "cleared_open" => "Seuls les ouverts",
        "stdrd_location" => "Lieu standard",
        "timeformat" => "Format temps",
        "dateformat" => "Format date",

        "refundable_all" => "Tous les frais",
        "refundable_refundable" => "Frais remboursables seulement",
        "refundable_not_refundable" => "Frais nonremboursables seulement",

        "print_comment" => "Imprimer les commentaires",
        "print_summary" => "Imprimer les resumés",
        "create_bookmarks" => "créer un marque-page",
        "download_pdf" => "télécharger comme PDF",
        "pdf_format" => "format",
        "export_pdf" => "table",
        "export_pdf2" => "liste",

        "column_delimiter" => "séparateur de colonnes",
        "quote_char" => "séparateur de champs",

        "exportCSV" => "Export CSV",
        "exportPDF" => "Export PDF",
        "exportXLS" => "Export Excel",
        "print" => "Imprimer",
        "export_timeformat_help" => "Aide sur le format heure",

        'subtotal' => 'Sous Total',
        'finalamount' => 'Total',
        'pdf_headline' => 'Liste des temps et des dépenses',
        'pdf_headline_only_times' => 'Liste des temps de travail',
        'pdf_headline_only_expenses' => 'Liste des dépenses',
        'costs' => 'Coûts',
        'expense' => 'Dépense',
        'summary' => 'Résumé',
        'full_list' => 'Liste comlète',
        'page' => 'Page',
        'by' => 'par',
        'done_by' => 'réalisé par',
        'duration' => 'Durée',
        'customer_new_page' => 'Nouvelle page pour chaque client',

        'times_and_expenses' => 'Temps et dépenses',
        'times' => 'Temps',
        'expenses' => 'Dépenses',

        'reverse_order' => 'Entrées anciennes en premier',
        'time_period' => 'Période de temps',

        'duration_unit' => 'hr',
        'time_type' => 'Format du temps',
        'dec_time' => 'Temps decimal',
        'time' => 'Temps standard',
    ],

    'permissions' => [
        'view' => 'Vue',
        'edit' => 'éditer',
        'delete' => 'effacer',
        'assign' => 'assigner',
        'unassign' => 'desassigner',
        'ownEntry' => 'entré personnel',
        'otherEntry' => 'autre entré',
        'ownGroup' => 'même groupe',
        'otherGroup' => 'groupe différent',
        'showRates' => 'voir le taux',
        'editRates' => 'éditer le taux',
        'editAdvanced' => 'édition avancée'
    ],

    'ext_invoice' => [
        'invoiceTitle' => 'Créer une facture',
        'invoiceProject' => 'Tâches',
        'invoiceTimePeriod' => 'Période',
        'invoiceTemplate' => 'Format de facture:',
        'invoiceOptionShort' => 'Facture synthétique',
        'invoiceOptionRound' => 'Durée arrondie',
        'invoiceButton' => 'Créer',
        'noData' => 'Il n\' y a pas de données de temps pour le projet et la période choisis.',
        'noProject' => 'Aucun projet n\'a été sélectionné.',
        'defaultVat' => 'TVA par défaut'
    ],

    'ext_budget' => [
        'unusedBudget' => 'Disponible'
    ],

    "extensionsTitle" => "Titre d'extension",

    'extensions' => [
        "adminPanel_extension" => "Panneau d'administration",
        'ki_timesheet' => 'Feuille de temps',
        'ki_timesheets' => 'Feuilles de temps',
        'ki_expenses' => 'Dépenses',
        'ki_invoice' => 'Facturation',
        'deb_ext' => 'Débugage',
        'ap_ext' => 'Préférences',
        'ki_budget' => 'Budget',
        'ki_export' => 'Exporter',
        'core' => 'noyau',
        'demo_ext' => 'Extension de démonstration',
    ],

    'updatecheck' => [
        'release' => '<b>Une mise à jour officielle est disponible, avec de nouvelles fonctionnalités et corrections de bugs. Nous vous suggérons fortement de mettre à niveau.</b>',
        "beta" => "<i>Nouvelle version Beta disponible. Vous pouvez la récupérer sur la page de téléchargement pour la tester, mais ne l'utilisez pas en environnement de production.</i>",
        'current' => 'Vous utilisez la dernière version :)',
    ],


    "log_delete" => "Le journal a été effacé",

];
