<?php
/**
 * This file is part of
 * Kimai - Open Source Time Tracking // https://www.kimai.org
 * (c) 2006-2009 Kimai-Development-Team
 *
 * Kimai is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; Version 3, 29 June 2007
 *
 * Kimai is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Kimai; If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * nederlands
 * by Paul Brand and Vasilis van Gemert
 */
return [
    "countryCode" => "nl-NL",
    "preferences" => "Voorkeuren",
    "total" => "Totaal",
    "monatzeit" => "Maand",
    "heute" => "vandaag",
    "gestern" => "gisteren",
    "autoOn" => "Auto aan",
    "autoOff" => "Auto uit",
    "datum" => "Datum",
    "in" => "van",
    "out" => "tot",
    "time" => "u:min",
    "timelabel" => "Tijd",
    "starttime" => "start tijd",
    "DateTimeNotInFuture" => "De dag en tijd mogen niet in de toekomst zijn.",
    "durationlabel" => "Tijdsduur",
    "customer" => "Klant",
    "project" => "Project",
    "activity" => "Activiteit",
    "customers" => "Klanten",
    "projects" => "Projecten",
    "activities" => "Activiteiten",
    "admin" => "Admin",
    "rowlimit" => "max. rijen",
    "breiteZeitspalte" => "breedte tijd kolom",
    "breiteUhrspalte" => "breedte klok kolom",
    "breiteDatumspalte" => "breedte datum kolom",
    "recommended" => "aanbevolen",
    "submit" => "OK",
    "cancel" => "Annuleer",
    "edit" => "Bewerk invoer",
    "construction" => "werk in uitvoering...",
    "about" => "Over Kimai",
    "hours" => "uren",
    "mins" => "minuten",
    "secs" => "seconden",
    "skin" => "Kleur schema",
    "erase" => "Wissen",
    "new_customer" => "klant toevoegen",
    "new_project" => "project toevoegen",
    "new_activity" => "activiteit toevoegen",
    "day_summary" => "Tijd samenvatting",
    "plzChoose" => "Selecteer",
    "recordAgain" => "Neem deze activiteit nogmaals op",
    "comment" => "Commentaar",
    "location" => "Locatie",
    "trackingNumber" => "Tracking Nummer",
    "cookiewarning" => "Accepteer het ontvangen van cookies voordat u verder gaat.",
    "JSwarning" => "JavaScript moet actief zijn in deze versie.",
    "banned" => "Banned (Account geblokkeerd)",
    "tooManyLogins" => "Te veel mislukte inlogpogingen. Inloggen is uitgeschakeld.",
    "accessDenied" => "Toegang geweigerd!",
    "wrongPass" => "Verkeerde gebruikersnaam en/of wachtwoord",
    "tryAgain" => "Probeer opnieuw / Wachtwoord vergeten?",
    "back" => "Terug naar het inlogvenster",
    "bye" => "Tot ziens!",
    "login" => "Inloggen",
    "logout" => "Uitloggen",
    "loggedon" => "Ingelogd als:",
    "username" => "Gebruiker",
    "password" => "Wachtwoord",
    "newPassword" => "Nieuw wachtwoord",
    "retypePassword" => "Typ het wachtwoord opnieuw",
    "passwordsDontMatch" => "Ingevoerde wachtwoorden komen niet overeen.",
    "passwordTooShort" => "Het wachtwoord heeft niet tenminste 5 karakters.",
    "forgotPassword" => "Wachtwoord vergeten",
    "passwordReset" => [
        "button" => "Wachtwoord opnieuw instellen",
        "notSupported" => "Het herstellen van het wachtwoord wordt door de huidige authenticatie plugin niet ondersteund.",
        "instructions" => "Voer een gebruikersnaam in en een email zal worden gestuurd naar het adres dat geassocieerd wordt met de opegegeven gebruikersnaam. Zorg ervoor dat de gebruikersnaam juist is omdat een foute invoer niet wordt aangegeven!",
        "mailSubject" => "Kimai - Wachtwoord opnieuw instellen",
        "mailMessage" => "Dit is een automatisch gegenereerde email om het wachtwoord opnieuw in te stellen voor Kimai. Open het volgende adres in je browser:\n%{URL}",
        "mailConfirmation" => "Er is een email gestuurd naar het geassocieerde emailadres. Volg de instructie in de zojuist verzonden email. Als er geen emailadres geassocieerd wordt met de gebruikersnaam zal er geen email worden verstuurd. Neem in dit geval contact op met de administrator.",
        "returnToLogin" => "ga terug naar de login pagina",
        "invalidKey" => "De beveiligingssleutel komt niet overeen met de sleutel in de email. Zorg ervoor dat de complete URL is geopend door je browser.",
        "success" => "Je wachtwoord is veranderd.",
    ],
    "minLength" => "Het wachtwoord moet minimaal 5 karakters bevatten!",
    "update" => "De structuur van de huidige Kimai-database moet geupdate worden.<br />Maak voor de zekerheid een back up van uw database zodat u geen gegevens verliest tijdens het updaten.",
    "updateNow" => "De database moet nu geüpdatet worden!",
    "stop" => "Stop!",
    "start" => "Start!",
    "setTimeframe" => "set tijdvak",
    "now" => "nu",
    "specify" => "specificeer lijst",
    "add" => "toevoegen",
    "running" => "Bezig...",
    "company" => "Bedrijf",

    "vat" => "BTW",
    "contactPerson" => "Contact persoon",

    "street" => "Straat",
    "zipcode" => "Postcode",
    "city" => "Plaats",
    "telephon" => "Telefoon",
    "fax" => "Fax",
    "mobilephone" => "Mobiel",
    "mail" => "E-Mail",
    "homepage" => "Internet",
    "users" => "Gebruiker",
    "name" => "Naam",
    "adduser" => "Gebruiker toevoegen",
    "addgroup" => "Groep toevoegen",
    "group" => "Groep",
    "groups" => "Groepen",
    "advanced" => "Gevorderd",
    "database" => "Database",
    "options" => "Opties",
    "status" => "Status",
    "globalRole" => "Globale rol",
    "addGlobalRole" => "Voeg globale rol toe",
    "editGlobalRole" => "Bewerk globale rol",
    "deleteGlobalRole" => "Verwijder globale rol",
    "globalRoles" => "Globale rollen",
    "membershipRole" => "Lidmaatschap rol",
    "addMembershipRole" => "Toevoegen lidmaatschap rol",
    "editMembershipRole" => "Bewerk lidmaatschap rol",
    "deleteMembershipRole" => "Verwijder lidmaatschap rol",
    "membershipRoles" => "Lidmaatschap rollen",
    "rolename" => "Naam rol",
    "editstatus" => "Bewerk status",
    "new_status" => "Status toevoegen",
    "description" => "Omschrijving",
    "adminmail" => "E-mailadres van de administrator",
    "logintries" => "aantal foutieve inlogpogingne voordat gebruiker wordt geblokkeerd",
    "bantime" => "login geblokkeerd in seconden",
    "defaultGroup" => "Standaard (0)",
    "user" => "Gewone gebruiker",
    "editUser" => "Bewerk gebruiker",
    "editGroup" => "Bewerk groep",
    "delete_group" => "Verwijder groep",
    "delete_project" => "Verwijder project",
    "delete_customer" => "Verwijder klant",
    "delete_activity" => "Verwijder activiteit",
    "delete_status" => "Verwijder status",
    "switchUser" => "Schakel naar deze gebruiker",
    "backupUser" => "Maak backup van deze gebruiker",
    "mailUser" => "Stuur email naar deze gebruiker",
    "deleteUser" => "Verwijder deze gebruiker",
    "restoreAccount" => "Account herstellen",
    "bannedUser" => "Geblokkeerde gebruiker - Klik om te heractiveren",
    "activeAccount" => "Active gebruiker - klik om te blokkeren",
    "members" => "Leden",
    "nopasswordset" => "Geen wachtwoord ingegeven!",
    "noItems" => "Geen invoer",
    "DBname" => "Database naam",
    "autoselection" => "Automatische selectie",
    "openAfterRecorded" => "Open invoer na het stoppen van de opname",
    "quickdelete" => "Snel-verwijderen",
    "quickdeleteHide" => "Nee",
    "quickdeleteShow" => "Ja, zonder bevestigingsdialoog",
    "quickdeleteShowConfirm" => "Ja, met bevestigingsdialoog",
    "tools" => "hulpmiddelen",
    "print" => "Print",
    "save" => "Opslaan",
    "export" => "Exporteren",
    "groupname" => "Groep naam",
    "help" => "Help",
    "select" => "Selecteer",
    "hidedeletedusers" => "Verberg verwijderde gebruikers",
    "showdeletedusers" => "Toon verwijderde gebruikers",
    "month" => "Maand",
    "day" => "Dag",
    "year" => "Jaar",
    "lang" => "Taal",
    "ac" => "Automatisch voortgezette invoer .",
    "ac_error" => "Automatisch voortgezette invoer met fout (tijdsduur te lang).",
    "refundable_long" => "Terugvorderbaar (aan werknemer)",
    "refundable" => "Terugvorderbaar",
    "yes" => "ja",
    "no" => "nee",
    "default" => "standaard",
    "commentType" => "Commentaar type",
    "ctype0" => "Commentaar",
    "ctype1" => "Notitie",
    "ctype2" => "Let Op!",
    "hint" => "Hint:",
    "rename_caution_before_username" => "Als je de gebruikernaam veranderd van",
    "rename_caution_after_username" => "moet je direct opnieuw inloggen met de nieuwe gebruikersnaam!",
    "timediff_warn" => "Je moet verschillende tijden ingeven in in-/uit velden!",
    "visibility" => "Zichtbaarheid",
    "showitem" => "Maak zichtbaar",
    "hideitem" => "Maak onzichtbaar",
    "checkUsername" => "Je moet een gebruikersnaam invoeren in het veld links van de knop: toevoegen!",
    "checkGroupname" => "Je moet een groep naam invoeren in het veld links van de knop: toevoegen!",
    "checkStatusname" => "Je moet een status invoeren in het veld links van de knop: toevoegen!",
    "checkGlobalRoleName" => "Je moet een globale rol naam invoeren in het veld links van de knop: toevoegen!",
    "checkMembershipRoleName" => "Je moet een lidmaatschaps rol naam invoeren in het veld links van de knop: toevoegen!",
    "allvisible" => "Laat verborgen tijd-records zien als deze er zijn",
    "clickToReload" => "Klik om de grafische interface te herlande",
    "sure" => "Zeker weten?",
    "clock" => "Klok",
    "currSum" => "Samenvatting huidige tijdruimte",
    "admWarn" => "Je bent Administrator. Status kan alleen lager gezet worden voor een andere Administrator.",
    "flip_project_display" => "Sorteer projecttable op Klanten",
    "project_comment_flag" => "Altijd commentaar tonen naast projecten",
    "showIDs" => "Toon IDs",
    "error" => "Er is een fout opgetreden!",
    "checkupdate" => "Zoek naar een update",
    "selectedForRecording" => "Selecteer voor tijdregistratie:",
    "selectedCustomerLabel" => "K:",
    "selectedProjectLabel" => "P:",
    "selectedActivityLabel" => "G:",
    "testCustomer" => "Test-Customer",
    "testProject" => "Test-Project",
    "testActivity" => "testing",
    "time_billable" => "Factureerbare Tijd",
    "billable" => "Factureerbaar",
    "budget" => "Budget",
    "effort" => "Doel",
    "rate" => "Tarief (per uur)",
    "rate_short" => "Tarief",
    "approved" => "Goedgekeurd",
    "default_rate" => "Standaard tarief",
    "my_rate" => "Mijn tarief",
    "fixedRate" => "Vaststaand tarief",
    "used" => "Gebruikt",
    "budget_available" => "Budget beschikbaar",
    "budget_activity" => "Budget van activiteit",
    "budget_activity_used" => "Budget gebruikt",
    "budget_activity_approved" => "Budget goedgekeurd",
    "budget_minus" => "over budget",
    "wage" => "Bedrag",
    "roundTimesheetEntries" => "Rond nieuw rooster invoer af tot",
    "minutes" => "Minuten",
    "seconds" => "Seconden",
    "and" => "en",
    "customerlogin" => "klant login",
    "expense" => "Kosten",
    "designation" => "Omschrijving",
    "cleared" => "Betaald",
    "atLeastOneGroup" => 'Er moet ten minste één groep geselecteerd zijn.',
    "noFading" => "geen vervagings effect",
    "user_list_hidden" => "verberg standaard de gebruiker lijst",
    'show_update_warn' => 'Schakel waarschuwingen uit voordat de update plaatsvindt.',
    'check_at_startup' => 'Toon bericht op loginpagina als er een nieuwe update beschikbaar is.',
    'show_daySeperatorLines' => 'Trek een lijn tussen gegevens van verschillende dagen.',
    'show_gabBreaks' => 'Trek een lijn tussen twee registraties wanneer deze niet naadloos op elkaar aansluiten.',
    'show_RecordAgain' => 'Toon de &quot;Nogmaals Opnemen&quot; knoop voor elke invoer.',
    'show_TrackingNr' => 'Sta toe dat het veld Tracking-Nr. bewerkt wordt.',
    'currency_name' => 'Naam van de te gebruiken munteenheid.',
    'currency_sign' => 'Symbool van te gebruiken munteenheid.',
    'currency_first' => 'Toon de valuta naam voor de waarde (e.g. &euro; 100,00)',
    'display_date_format' => 'Datum opmaak van het tijdvak (<a href="http://php.net/manual/en/function.strftime.php" target="_blank">notation for strftime()</a>)',
    'table_date_format' => 'Datum opmaak voor tabellen (<a href="http://php.net/manual/en/function.strftime.php" target="_blank">notation for strftime()</a>)',
    'round_time' => 'Tijd afronden op ',
    'round_time_minute' => ' minuten.',
    'allowRoundDown' => 'Sta toe invoer naar beneden af te ronden.',
    'logged_in_as' => 'Ingelogd als:',
    'decimal_separator' => 'Decimaal scheidingsteken',
    'view_filter' => 'toon filter',
    'unassigned' => 'niet toegewezen',
    'all_activities' => '&lt;&lt;all&gt;&gt;',
    'all' => 'alle',
    'durationWithSeconds' => 'Toon tijdsduur exact op de seconde.',
    'multiplier' => 'Vermenigvuldiger',
    'timezone' => 'Tijdzone',
    'dateAndTimeHelp' => '<strong>Tijden en datums moeten in de volgende form worden ingevoerd:</strong><br />Datums: DD.MM.JJJJ<br />Tijden: UU:MM:SS of UU:MM of alleen UU. Overgeslagen delen worden op 0 gezet.',
    'editNoteHelp' => '<strong>Commentaar kan in elke volgorde worden ingevoerd<br />en kan later, indien nodig, zonder limiet worden veranderd.</strong>',
    'defaultTimezone' => 'tijdzone voor nieuwe gebruikers en klanten',
    'editLimitPart1' => 'Invoer kan niet meer worden toegevoegd of gewijzigd die ouder zijn dan ',
    'editLimitPart2' => 'dag(en) en',
    'editLimitPart3' => 'uur.',
    'editLimitError' => 'De einddatum is verder in het verleden dan is toegestaan.',
    'hideClearedEntries' => 'Verberg leeggemaakte invoer',
    'showCommentsByDefault' => 'Toon standaard commentaar',
    'showTrackingNumber' => 'Toon volgnummer en omschrijving details in het rooster',
    'hideOverlapLines' => 'Niet aankaarten wanneer invoertijd overlapt.',
    'defaultLocation' => 'Standaard locatie',
    'showQuickNote'	=> 'Toon snelle notitie knop',
    'general' => 'Algemeen',
    'address' => 'Addres',
    'contact' => 'Contact',
    'list' => 'Lijst',
    'sublists' => 'Sub-lijsten',
    'timesheet' => 'Rooster',
    "filter" => "Filter",
    'internalProject' => 'intern project',
    'exactSums' => 'Gebruik exacte waarden in plaats van afgeronde waarden.',
    'securityWarning' => 'beveiligingswaarschuwing',
    'installerWarningHeadline' => 'installer directory nog aanwezig!',
    'installerWarningText' => 'Verwijder de installer directory zodat niemand Kimai opnieuw kan installeren.',
    'change' => 'verander',
    'sublistAnnotations' => 'sub-lijst aantekeningen',
    'TimeDateInputError' => 'De tijd of datum die je hebt ingevuld is niet geldig.',
    'StartTimeBeforeEndTime' => 'De start tijd moet voor de eind tijd zijn.',

    'credits' => <<<'EOD'
        If you do any alternations we would appreciate a posting on the <a href="%1$s">forum</a>.
        The latest developer version can be downloaded for test purposes <a href="%2$s">here</a>.
        <br /><br />
        Please support further development of Kimai with a <a href="%3$s">donation</a> or by extending its <a href="%5$s">translations</a>.
        If you find bugs or have ideas for features, please create a <a href="%4$s">ticket</a>.
EOD
    ,
    'credits_license' => 'This program is free software and published \'AS IS\' without any kind of warranty under the terms of the %1$s.',
    'credits_thanks' => 'Further thanks for support to:',
    'credits_libs' => 'Our thanks also go to the projects:',

    'months' => ["Januari", "Februari", "Maart", "April", "Mei", "Juni", "Juli", "Augustus", "September", "Oktober", "November", "December"],
    'months_short' => ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"],
    'weekdays' => ["zondag", "maandag", "dinsdag", "woensdag", "donderdag", "vrijdag", "zaterdag"],
    'weekdays_short' => ["zo", "ma", "di", "wo", "do", "vr", "za"],

    'errorMessages' => [
        'permissionDenied' => 'Toestemming geweigerd',
        'userWithSameName' => 'Een klantnaam kan niet hetzelfde zijn als de gebruikersnaam.',
        'userExistsAlready' => 'Gebruiker bestaat al.',
        'customerWithSameName' => 'Een gebruikersnaam kan niet hetzelfde zijn als de klantnaam.',
        'sameGlobalRoleName' => 'Een globale rol met deze naam bestaat al.',
        'sameMembershipRoleName' => 'Een lidmaatschap rol met deze naam bestaat al.',
        'noActivitySelected' => 'Geen activiteit geselecteerd.',
        'noProjectSelected' => 'Geen project geselecteerd.',
        'multiplierNegative' => 'De vermenigvuldiger moet groter zijn dan 0.',
        'emptyField' => 'Waarde mist in veld: %s',
        'wrongData' => 'De gegeven data in ongeldig',
    ],

    'confirmations' => [
        'ownGlobalRoleChange' => 'Weet je zeker dat je je eigen globale rol wilt veranderen van "%OLD%" naar "%NEW%"?\n Dit kan leiden tot minder bevoegdheden!'
    ],

    'errors' => [
        0 => [
            'hdl' => "Database kon niet verbinden!",
            'txt' => "Controleer svp of de database server is gestart, of er een actieve PDO verbinding is en kijk of de gegevens in 'autoconf.php' in folder 'includes' correct zijn."
        ],

        1 => [
            'hdl' => "Fout tijdens installatie!",
            'txt' => 'Kimai kon geen tabellen aanmaken in de database omdat deze al bestonden.<br/>Om de bestaande installatie te update klik <a href="../index.php">hier</a>.<br/>Kies een andre tabel prefix of gooi de bestaande met de huidige prefix tabellen weg om een Kamai geheel opnieuw te installeren.'
        ]
    ],

    'updater' => [
        0 => "Ja, er is een backup van mijn Kimai database! Ga door met updaten!",
        10 => "Legenda:",
        20 => "Query met succes uitgevoerd.",
        30 => "Query veroorzaakte een fout - waarschijnlijk niet belangrijk.",
        40 => "Query veroorzaakte een fatale fout.",
        50 => "Backup Log:",
        60 => "Backup mislukt - Update afgebroken!",
        70 => "Update Log:",
        80 => "De database is met succes geupdatet en er is een backup gemaakt.",
        90 => "Queries uitgevoerd.",
        100 => "De database update is mislukt door fatale fout(en). Een backup is gemaakt die gebruikt kan worden om de database opnieuw te herstellen voor het geval Kimai niet goed werkt.",
        110 => "Nieuwe wachtwoorden",
        120 => "Zie hieronder voor nieuwe wachtwoorden voor elke gebruiker.",
        130 => "Kon niet schijven naar autoconf.php.",
        140 => "update bestand autoconf.php",
        'timezone' => 'Kimai understeund nu tijdzones. Selecteer de standaard tijdzone. Deze zal gebruikt worden voor alle gebruikers en klanten. Gebruikers kunnen hun eigen tijdzone aanpassen.',
    ],

    'backup' => [
        0 => "Dit programma om de backup terug te zetten is nog niet getest. Gebruik op eigen risico!",
        1 => "Beschikbare backups:",
        2 => "herstellen",
        3 => "verwijderen",
        4 => "OK",
        5 => "Je kan slechts één backup tegelijk herstellen!",
        6 => "Backup van",
        7 => "is herstelt.",
        8 => "maak backup",
        9 => "Deze backups zijn in werkelijkheid snapshots! Wat betekend dat deze nog steed aanwezig zijn in dezelfde database als waar de huidige Kimai data staat. Backupen via deze manier is GEEN vervanging van een echte backup op een fysiek ander medium. Er zijn verschillende tools op het web te verkrijgen om database backups te maken.",
        10 => "Authenticatie vereist",
        11 => "Om te voorkomen dat ongeauthoriseerde personen backups maken, verwijderen of herstellen, moet je het password salt opgeven die opgeslagen staat in include/autoconf.php. Het bestaat alleen uit letters en getallen."
    ],

    'export_extension' => [
        "print_hint" => "Klik op OK om een tabel te openen die je kunt printen.",
        "dl_hint" => "Klik op OK om bestand te downloaden.",
        "tab_filter" => "Filter",
        "tab_location" => "Locatie",
        "tab_timeformat" => "Tijd opmaak",
        "cleared_all" => "Alles",
        "cleared_cleared" => "Alleen Betaald",
        "cleared_open" => "Alleen Openstaand",
        "stdrd_location" => "Standaard locatie",
        "timeformat" => "Tijd opmaak",
        "dateformat" => "Datum opmaak",
        "refundable_all" => "all",
        "refundable_refundable" => "alleen teruggave",
        "refundable_not_refundable" => "alleen zonder teruggave",
        "print_comment" => "print opmerking",
        "print_summary" => "print samenvatting",
        "create_bookmarks" => "maak bookmarks",
        "download_pdf" => "download als PDF",
        "pdf_format" => "format",
        "export_pdf" => "tabel",
        "export_pdf2" => "lijst",
        "column_delimiter" => "scheidingsteken voor kolommen",
        "quote_char" => "grensteken voor velden",
        "exportCSV" => "CSV Export",
        "exportPDF" => "PDF Export",
        "exportXLS" => "Excel Export",
        "print" => "Print",
        "export_timeformat_help" => "Tijd opmaak help",
        'subtotal' => 'Sub Totaal',
        'finalamount' => 'Totaal',
        'pdf_headline' => 'Lijst met werktijden en uitgaven',
        'pdf_headline_only_times' => 'Lijst of werktijden',
        'pdf_headline_only_expenses' => 'Lijst van uitgaven',
        'costs' => 'Kosten',
        'expense' => 'Uitgave',
        'summary' => 'Samenvatting',
        'full_list' => 'Full List',
        'page' => 'Pagina',
        'by' => 'door',
        'done_by' => 'gedaan door',
        'duration' => 'Tijdsduur',
        'customer_new_page' => 'nieuwe pagina voor elke klant',
        'times_and_expenses' => 'tijden en uitgaven',
        'times' => 'tijden',
        'expenses' => 'uitgaven',
        'reverse_order' => 'oude invoer eerst',
        'time_period' => 'tijdvak',
        'duration_unit' => 'u',
        'time_type' => 'Tijd opmaak',
        'dec_time' => 'Decimale tijd',
        'time' => 'Standaard tijd',
    ],

    'ext_invoice' => [
        'invoiceTitle' => 'Maak factuur',
        'invoiceCustomer' => 'Klanten',
        'invoiceProject' => 'Projecten',
        'invoiceTemplate' => 'Factuur sjabloon',
        'defaultVat' => 'BTW tarief',
        'invoiceTimePeriod' => 'Periode',
        'invoiceOptionShort' => 'Korte factuur',
        'invoiceOptionRound' => 'Tijd afronden',
        'invoiceButton' => 'Maken',
        'noData' => 'Er is geen tijd invoer voor het geselecteerde project en periode.',
        'noProject' => 'Er is geen project geselecteerd.',
        'includedEntries' => 'Bijvoegen invoer',
        'failure' => 'Weergave factuur mislukt: %s',
        'sortOrder' => 'Order',
        'orderDateAsc' => 'Datum - oudste eerst',
        'orderDateDesc' => 'Datum - nieuwste eerst',
        'noDateSelected' => 'Er mist een tijdvak',
    ],

    'ext_budget' => [
        'unusedBudget' => 'ongebruikt'
    ],

    'extensionsTitle' => 'Extensies',

    'permissions' => [
        'view' => 'Bekijk',
        'edit' => 'Bewerk',
        'delete' => 'Verwijder',
        'assign' => 'Toewijzen',
        'unassign' => 'Afwijzen',
        'ownEntry' => 'eigen invoer',
        'otherEntry' => 'invoer van andere gebruiker',
        'ownGroup' => 'dezelfde groep',
        'otherGroup' => 'andere groep',
        'showRates' => 'toon tarieven',
        'editRates' => 'bewerk tarieven',
        'editAdvanced' => 'bewerk geavanceerde instellingen'
    ],

    'extensions' => [
      'adminPanel_extension' => 'Admin Paneel',
      'ki_timesheet' => 'Rooster',
      'ki_timesheets' => 'Roosters',
      'ki_expenses' => 'Uitgaven',
      'ki_invoice' => 'Factuur',
      'deb_ext' => 'Debug',
      'ap_ext' => 'Voorkeur',
      'ki_budget' => 'Budget',
      'ki_export' => 'Exporteer',
      'core' => 'Toestemmingen',
      'demo_ext' => 'Demo'
    ],

    'updatecheck' => [
        'release' => "<b>An official update is available, with new features and bugfixes. We strongly suggest that you update.</b>",
        'beta' => "<i>New beta version available. You can fetch it from the download page for testing, but don't use it for production environments.</i>",
        'current' => "You are running the latest version :)"
    ],

    "log_delete" => "log gewist",
];
