<?php
/**
 * This file is part of
 * Kimai - Open Source Time Tracking // https://www.kimai.org
 * (c) 2006-2009 Kimai-Development-Team
 *
 * Kimai is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; Version 3, 29 June 2007
 *
 * Kimai is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Kimai; If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Portuguese (Brazil)
 *
 * 1.1.0 - Allan Brazute (EthraZa)
 *
 * First version - André Couto <andre@7zio.com>
 */
return [
    'countryCode' => 'pt-BR',
    'preferences' => 'Preferências',
    'total' => 'Total',
    'monatzeit' => 'Mês',
    'heute' => 'Hoje',
    'gestern' => 'Ontem',
    'autoOn' => 'Ligar Auto',
    'autoOff' => 'Desligar Auto',
    'datum' => 'Data',
    'in' => 'Início',
    'out' => 'Fim',
    'time' => 'Duração',
    'timelabel' => 'Tempo',
    'starttime' => 'Início',
    'DateTimeNotInFuture' => 'A data não pode ser no futuro.',
    'durationlabel' => 'Duração',
    'customer' => 'Cliente',
    'project' => 'Projeto',
    'activity' => 'Atividade',
    'customers' => 'Clientes',
    'projects' => 'Projetos',
    'activities' => 'Atividades',
    'admin' => 'Administrador',
    'rowlimit' => 'max. de linhas',
    'breiteZeitspalte' => 'Largura da coluna tempo',
    'breiteUhrspalte' => 'Largura da coluna relógio',
    'breiteDatumspalte' => 'Largura da coluna data',
    'recommended' => 'Recomendado',
    'submit' => 'OK',
    'cancel' => 'Cancelar',
    'edit' => 'Editar registro',
    'editNote' => 'Editar nota',
    'note' => 'Nota',
    'close' => 'Fechar',
    'construction' => 'Em Construção...',
    'about' => 'Sobre o Kimai',
    'hours' => 'horas',
    'mins' => 'minutos',
    'secs' => 'segundos',
    'skin' => 'Tema',
    'erase' => 'Apagar registro',
    'new_customer' => 'Adicionar cliente',
    'new_project' => 'Adicionar projeto',
    'new_activity' => 'Adicionar atividade',
    'day_summary' => 'Resumo de tempo',
    'plzChoose' => 'Selecione por favor',
    'recordAgain' => 'Regravar',
    'comment' => 'Comentário',
    'location' => 'Localização',
    'trackingNumber' => 'Número de protocolo',
    'cookiewarning' => 'Ative os Cookies antes de continuar.',
    'JSwarning' => 'JavaScript precisa estar ativado.',
    'designation' => 'Descrição',
    'banned' => 'Conta bloqueada',
    'tooManyLogins' => 'Tentativas de logins excedidas - conta bloqueada.',
    'accessDenied' => 'Acesso negado!',
    'wrongPass' => 'Usuário ou Senha invalidos!',
    'tryAgain' => 'Tentar novamente / Esqueceu a senha?',
    'back' => 'Voltar ao login',
    'bye' => 'Até breve!',
    'login' => 'Entrar',
    'logout' => 'Sair',
    'loggedon' => 'Usuário ativo:',
    'username' => 'Usuário',
    'password' => 'Senha',
    'newPassword' => 'Nova Senha',
    'retypePassword' => 'repita a senha',
    'passwordsDontMatch' => 'Senha não confere.',
    'passwordTooShort' => 'Senha muito curta.',
    'forgotPassword' => 'Esqueci minha senha',
    'passwordReset' => [
        'button' => 'Alterar senha',
        'notSupported' => 'O plugin de autenticação em uso não suporta alterar a senha.',
        'instructions' => 'Informe seu usuário e um email com um link será enviado para a conta cadastrada. Caso não receba o email, certifique-se se informou seu usuário corretamente e verifique sua Caixa de Spam!',
        'mailSubject' => 'Kimai - Alteração de senha',
        'mailMessage' => "Essa é uma mensagem automática para alterar sua senha. Por favor, acesse o seguinte endereço:\n%{URL}",
        'mailConfirmation' => 'Um email foi enviado para a conta cadastrada. Por favor siga as instruções contidas no email. Se não houver uma conta de email cadastrada, nenhum email poderá ser enviado, neste caso você deve entrar em contato com o administrador do sistema.',
        'returnToLogin' => 'voltar ao login',
        'invalidKey' => 'A chave de segurança não confere com a chave enviado para o email. Certifique-se de que a URL completa foi aberta pelo seu navegador.',
        'success' => 'Sua senha foi alterada.',
    ],
    'minLength' => 'min. de 5 caracteres!',
    'update' => 'A estrutura da base de dados instalada do Kimai precisa ser atualizada.<br/>É recomendado efetuar o backup dos seus dados antes de proceguir com a atualização.',
    'updateNow' => 'Atualizar a base de dados agora!',
    'stop' => 'Parar!',
    'start' => 'Iniciar!',
    'setTimeframe' => 'Configurar período',
    'now' => 'Agora',
    'specify' => 'Especificar lista',
    'add' => 'Adicionar',
    'addNote' => 'Adicionar nota',
    'running' => 'Executando...',
    'company' => 'Companhia',

    'vat' => 'Imposto',
    'contactPerson' => 'Contato',

    'street' => 'Rua',
    'zipcode' => 'CEP',
    'city' => 'Cidade',
    'country' => 'País',
    'telephon' => 'Fone',
    'fax' => 'Fax',
    'mobilephone' => 'Celular',
    'mail' => 'E-Mail',
    'homepage' => 'Site',
    'users' => 'Usuários',
    'name' => 'Nome',
    'alias' => 'Apelido',
    'adduser' => 'Adicionar usuário',
    'addgroup' => 'Adicionar grupo',
    'group' => 'Grupo',
    'groups' => 'Grupos',
    'advanced' => 'Avançado',
    'database' => 'Base de Dados',
    'options' => 'Opções',
    'status' => 'Status',
    'globalRole' => 'Função global',
    'addGlobalRole' => 'Adicionar função global',
    'editGlobalRole' => 'Editar função global',
    'deleteGlobalRole' => 'Excluir função global',
    'globalRoles' => 'Funções globais',
    'membershipRole' => 'Função de associado',
    'addMembershipRole' => 'Adicionar função de associado',
    'editMembershipRole' => 'Editar função de associado',
    'deleteMembershipRole' => 'Excluir função de associado',
    'membershipRoles' => 'Funções de associados',
    'rolename' => 'Nome da função',
    'editstatus' => 'Editar status',
    'new_status' => 'Adicionar status',
    'description' => 'Descrição',
    'adminmail' => 'endereço de email do administrador',
    'logintries' => 'quantidade de tentativas de login antes da conta ser bloqueada',
    'bantime' => 'tempo de bloqueio em segundos',
    'defaultGroup' => 'Grupo padrão (0)',
    'user' => 'Usuário',
    'editUser' => 'Editar usuário',
    'editGroup' => 'Editar grupo',
    'delete_group' => 'Excluir grupo',
    'delete_project' => 'Excluir projeto',
    'delete_customer' => 'Excluir cliente',
    'delete_activity' => 'Excluir atividade',
    'delete_status' => 'Excluir status',
    'switchUser' => 'Alterar para este usuário',
    'backupUser' => 'Efetuar backup deste usuário',
    'mailUser' => 'Enviar email para este usuário',
    'deleteUser' => 'Excluir este usuário',
    'restoreAccount' => 'Restaurar conta',
    'bannedUser' => 'Usuário bloqueado - clique para ativar',
    'activeAccount' => 'Usuário ativo - clique para bloquear',
    'members' => 'Membros',
    'nopasswordset' => 'Sem senha configurada!',
    'nopassword' => 'Sem senha',
    'noItems' => 'Sem registros',
    'DBname' => 'Nome da base de dados',
    'DBbackup' => 'Utilitário de Backup',
    'DButf8' => 'UTF-8 ativado',
    'autoselection' => 'Seleção automática',
    'openAfterRecorded' => 'Abrir registro quando a gravação for parada',
    'quickdelete' => 'Opção para excluir itens a partir das tabelas',
    'quickdeleteHide' => 'Não',
    'quickdeleteShow' => 'Sim, sem diálogo de confirmação',
    'quickdeleteShowConfirm' => 'Sim, com diálogo de confirmação',
    'tools' => 'Ferramentas',
    'print' => 'Imprimir',
    'save' => 'Salvar',
    'export' => 'Exportar',
    'groupname' => 'Nome do grupo',
    'help' => 'Ajuda',
    'select' => 'Selecionar',
    'hidedeletedusers' => 'Exibir usuários ativos',
    'showdeletedusers' => 'Exibir usuários excluídos',
    'month' => 'Mês',
    'day' => 'Dia',
    'year' => 'Ano',
    'lang' => 'Idioma',
    'ac' => 'Registro continuado automaticamente.',
    'ac_error' => 'Registro continuado automaticamente com erro (tempo muito longo).',
    'refundable_long' => 'Reembolsável (para empregado)',
    'refundable' => 'Reembolsável',
    'yes' => 'sim',
    'no' => 'não',
    'default' => 'padrão',
    'commentType' => 'Tipo de comentário',
    'ctype0' => 'Comentário',
    'ctype1' => 'Aviso',
    'ctype2' => 'Cuidado',
    'hint' => 'Dica:',
    'rename_caution_before_username' => 'Se você alterar o usuário',
    'rename_caution_after_username' => 'você precisará efetuar um novo login imediatamente!',
    'timediff_warn' => 'Os tempos precisam ser diferentes!',
    'visibility' => 'Visibilidade',
    'showItem' => 'Mostrar registro',
    'hideitem' => 'Esconder registro',
    'checkUsername' => 'Você precisa informar um usuário!',
    'checkGroupname' => 'Você precisa informar um grupo!',
    'checkStatusname' => 'Você precisa informar um status!',
    'checkGlobalRoleName' => 'Você precisa informar uma função global!',
    'checkMembershipRoleName' => 'Você precisa informar uma função de associado!',
    'clickToReload' => 'Clique para recarregar',
    'sure' => 'Tem certeza?',
    'clock' => 'Relógio',
    'currSum' => 'Resumo do período atual',
    'admWarn' => 'Você é um administrador, o status pode ser definido para menor apenas por outro administrador.',
    'flip_project_display' => 'Ordenar exibição de projetos',
    'project_comment_flag' => 'Sempre mostrar comentários ao lado dos projetos',
    'showIDs' => 'Mostrar IDs',
    'error' => 'Ocorreu um erro!',
    'checkupdate' => 'Verificar por atualização',
    'selectedForRecording' => 'Selecionado para registrar:',
    'selectedCustomerLabel' => 'C:',
    'selectedProjectLabel' => 'P:',
    'selectedActivityLabel' => 'A:',
    'testCustomer' => 'Cliente-Teste',
    'testProject' => 'Projeto-Teste',
    'testActivity' => 'Testando',
    'time_billable' => 'Período faturável',
    'billable' => 'Faturável',
    'budget' => 'Orçamento',
    'effort' => 'Esforço',
    'rate' => 'Taxa (por hora)',
    'rate_short' => 'Taxa',
    'approved' => 'Aprovado',
    'default_rate' => 'Taxa padrão',
    'my_rate' => 'Minha taxa',
    'fixedRate' => 'Taxa fixa',
    'used' => 'Usado',
    'budget_available' => 'Orçamento disponível',
    'budget_activity' => 'Orçamento da atividade',
    'budget_activity_used' => 'Orçamento utilizado',
    'budget_activity_approved' => 'Orçamento aprovado',
    'budget_minus' => 'acima do orçamento',
    'wage' => 'Total',
    'roundTimesheetEntries' => 'Arredondar novos registros em Registro de Tarefas para',
    'minutes' => 'Minutos',
    'seconds' => 'Segundos',
    'and' => 'e',
    'customerlogin' => 'Login do cliente',
    'expense' => 'Despesa',
    'cleared' => 'Liberado',
    'atLeastOneGroup' => 'Pelo menos um grupo deve ser selecionado.',
    'noFading' => 'Sem efeito de desvanecimento',
    'user_list_hidden' => 'Esconder a lista de usuário por padrão',
    'show_update_warn' => 'Desativar aviso antes de uma atualização.',
    'check_at_startup' => 'Mostrar uma mensagem na tela de login se uma nova atuzalição estiver disponível.',
    'show_daySeperatorLines' => 'Traçar uma linha entre registros de diferentes dias.',
    'show_gabBreaks' => 'Traçar uma linha entre dois registros não contínuos.',
    'show_RecordAgain' => 'Mostrar a opção &quot;Regravar&quot; em cada registro.',
    'show_TrackingNr' => 'Número de Protocolo editável',
    'currency_name' => 'Nome da moeda',
    'currency_sign' => 'Simbolo da moeda',
    'currency_first' => 'Mostrar simbolo da moeda na frente do valor (e.g. &euro; 100,00)',
    'display_date_format' => 'Formato de data (<a href="http://php.net/manual/pt_BR/function.strftime.php" target="_blank">notação de strftime()</a>)',
    'date_format_0' => 'Formato de data para o Seletor de Data (<a href="http://api.jqueryui.com/datepicker/#utility-formatDate" target="_blank">notação de dateFormat</a>)',
    'date_format_3' => 'Formato de data pata o Seletor de Data no PHP (precisa combinar com formato do seletor acima - <a href="http://php.net/manual/pt_BR/function.date.php" target="_blank">notação de date</a>)',
    'table_date_format' => 'Formato de data para tabelas (<a href="http://php.net/manual/pt_BR/function.strftime.php" target="_blank">notação de strftime()</a>)',
    'round_time' => 'Arredondar tempo para ',
    'round_time_minute' => ' minuto(s).',
    'allowRoundDown' => 'Permitir arredondar registros para baixo.',
    'logged_in_as' => 'Usuário registrado:',
    'decimal_separator' => 'Separador decimal',
    'view_filter' => 'Filtro de visualização',
    'unassigned' => 'Não atribuídos',
    'all_activities' => 'Todos',
    'all' => 'Todos',
    'durationWithSeconds' => 'Mostrar duração exata, até o segundo.',
    'multiplier' => 'Multiplicador',
    'timezone' => 'Fuso horário',
    'dateAndTimeHelp' => '<strong>Data e Horários devem ser registradas da seguinte forma:</strong><br />Dates: DD/MM/YYYY<br />Times: HH:MM:SS ou HH:MM ou apenas HH. Partes omitidas serão registradas como 0.',
    'editNoteHelp' => '<strong>Comentários podem ser registrados em qualquer ordem<br/>e podem ser alterados posteriormente, se necessário.</strong>',
    'defaultTimezone' => 'fuso horário para novos usuários e clientes',
    'editLimitPart1' => 'Nenhum registro pode ser adicionado ou editado com término além de',
    'editLimitPart2' => 'dia(s) e',
    'editLimitPart3' => 'hora(s) no passado.',
    'editLimitError' => 'A data de término está além do que é permitido.',
    'hideClearedEntries' => 'Esconder registros liberados',
    'showCommentsByDefault' => 'Mostrar comentários por padrão',
    'showTrackingNumber' => 'Mostrar número de protocolo em Registro de Tarefas',
    'hideOverlapLines' => 'Não indicar sobreposição de registros de tempo',
    'defaultLocation' => 'Localização padrão',
    'showQuickNote'	=> 'Mostrar botão de Nota rápida',
    'general' => 'Geral',
    'address' => 'Endereço',
    'contact' => 'Contato',
    'list' => 'Lista',
    'sublists' => 'Sublistas',
    'timesheet' => 'Registro de Tarefas',
    'filter' => 'Filtro',
    'internalProject' => 'Projeto interno',
    'exactSums' => 'Use somas exatas em vez de adicionar os valores arredondados exibidos.',
    'securityWarning' => 'Alerta de segurança',
    'installerWarningHeadline' => 'Pasta de instalção ainda presente!',
    'installerWarningText' => 'A pasta do instalação deve ser excluída para que ninguém mais possa reinstalar o Kimai.',
    'change' => 'Alterar',
    'sublistAnnotations' => 'Anotações de sublistas',
    'TimeDateInputError' => 'A data ou hora digitada não é válida.',
    'StartTimeBeforeEndTime' => 'A hora de início deve ser anterior à de fim.',

    'credits' => <<<'EOD'
        Se você fizer qualquer alteração, agradecemos um post no <a href="%1$s">forum</a>.
        A versão mais recente de desenvolvimento, pode ser baixada para fins de teste <a href="%2$s">aqui</a>.
        <br /><br />
        Por favor, apoie o desenvolvimento de Kimai com uma <a href="%3$s">doação</a> ou ajudando com as <a href="%5$s">traduções</a>.
        Se você encontrar bugs ou tiver idéias de novos recursos, crie um <a href="%4$s">issue</a>.
EOD
    ,
    'credits_license' => 'Este programa é um software gratuito e publicado "como está", sem qualquer tipo de garantia, de acordo com os termos descritos em %1$s.',
    'credits_thanks' => 'Agradecemos pelo apoio à:',
    'credits_libs' => 'Agradecemos também aos projetos:',

    'months' => ['Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho', 'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro'],
    'months_short' => ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez'],
    'weekdays' => ['Domingo', 'Segunda', 'Terça', 'Quarta', 'Quinta', 'Sexta', 'Sábado'],
    'weekdays_short' => ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sab'],
    'quicklink_today' => 'Hoje',
    'quicklink_yesterday' => 'Ontem',
    'quicklink_lastWeek' => 'Semana passada',
    'quicklink_lastMonth' => 'Mês passado',
    'quicklink_thisWeek' => 'Semana corrente',
    'quicklink_thisMonth' => 'Mês corrente',

    'errorMessages' => [
        'permissionDenied' => 'Permissão negada',
        'userWithSameName' => 'Um nome de cliente não pode ser igual a um nome de usuário.',
        'userExistsAlready' => 'O usuário já existe.',
        'customerWithSameName' => 'Um nome de usuário não pode ser igual a um nome de cliente.',
        'sameGlobalRoleName' => 'Uma função global com este nome já existe.',
        'sameMembershipRoleName' => 'Uma função de associado com esse nome já existe.',
        'noActivitySelected' => 'Nenhuma atividade selecionada.',
        'noProjectSelected' => 'Nenhum projeto selecionado.',
        'multiplierNegative' => 'O multiplicador deve ser maior que 0.',
        'emptyField' => 'Campo vazio: %s',
        'wrongData' => 'Os dados informados são inválidos',
    ],

    'confirmations' => [
        'ownGlobalRoleChange' => 'Tem certeza de que deseja alterar sua própria função global de "% OLD%" para "% NEW%"? \nIsso pode restringir suas permissões!'
    ],

    'errors' => [
        0 => [
            'hdl' => 'Falha ao conectar com o banco de dados!',
            'txt' => 'Certifique-se de que o banco de dados esteja em execução, com um conector PDO ativo e, as configurações em \'autoconf.php\', na pasta \'includes\', estejam corretas.'
        ],
        1 => [
            'hdl' => 'Erro durante a instalação!',
            'txt' => 'Kimai não consegue criar tabelas necessárias porque as tabelas já existem. <br/>
        Para atualizar sua instalação existente, clique em <a href="../index.php">aqui</a>. <br/>
        Escolha outro prefixo de tabela ou exclua as tabelas existentes com este prefixo para permitir que Kimai faça uma instalação limpa.'
        ]
    ],

    'updater' => [
        0 => 'Sim, eu tenho um backup do meu banco de dados Kimai. Continue atualizando!',
        10 => 'Legenda:',
        20 => 'Query executada com sucesso.',
        30 => 'Erro causado pela query - provavelmente irrelevante.',
        40 => 'A query causou erro fatal.',
        50 => 'Log de Backup:',
        60 => 'Falha no Backup - Atualização abortada!',
        70 => 'Log de Atualização:',
        80 => 'O banco de dados foi atualizado com sucesso e um backup foi criado.',
        90 => 'Queries processadas.',
        100 => 'A atualização do banco de dados falhou devido a erro(s) fatal(ais). Foi feito um backup que pode ser usado para recriar o banco de dados caso o Kimai não funcione corretamente.',
        110 => 'Novas senhas',
        120 => 'Veja abaixo as novas senhas para cada usuário.',
        130 => 'Não foi possível gravar em autoconf.php.',
        140 => 'Atualize o arquivo autoconf.php',
        'timezone' => 'O Kimai agora suporta fuso horário. Selecione seu fuso horário padrão. Será usado para todos os usuários e clientes. Os usuários podem mudar o fuso horário individualmente.',
    ],

    'backup' => [
        0 => 'Este utilitário de restauração de backup ainda não foi testado! Use por sua conta e risco!',
        1 => 'Backups disponíveis:',
        2 => 'Recuperar',
        3 => 'Excluir',
        4 => 'OK',
        5 => 'Você pode recuperar apenas *um* backup por vez!',
        6 => 'Backup de',
        7 => 'recuperado.',
        8 => 'Criar backup',
        9 => 'Esses backups são apenas cópias instantâneas (snapshots)! O que significa que eles ainda vivem dentro do mesmo banco de dados que seus dados de trabalho reais do Kimai. Os backups por meio deste utilitário não são substituição de backups reais em um meio de dados fisicamente diferente. Existem muitas ferramentas para backups de banco de dados disponíveis na web;)',
        10 => 'Autentificação necessária',
        11 => 'Para evitar que pessoas não autorizadas criem, excluam ou restaurem backups, você deve fornecer a senha, armazenada em include/autoconf.php. Ela consiste apenas em letras e números.'
    ],

    'export_extension' => [
        'print_hint' => 'Clique em OK para abrir uma tabela imprimível.',
        'dl_hint' => 'Clique em OK para baixar o arquivo de exportação.',
        'tab_filter' => 'Filtro',
        'tab_location' => 'Localização',
        'tab_timeformat' => 'Formato de Hora',
        'cleared_all' => 'Todos',
        'cleared_cleared' => 'Liberados',
        'cleared_open' => 'Abertos',
        'stdrd_location' => 'Localização padrão',
        'timeformat' => 'Formato de Hora',
        'dateformat' => 'Formato de Data',
        'refundable_all' => 'Todos',
        'refundable_refundable' => 'Reembolsáveis',
        'refundable_not_refundable' => 'Não reembolsáveis',
        'print_comment' => 'Imprimir comentários',
        'print_summary' => 'Imprimir resumo',
        'create_bookmarks' => 'Criar marcadores',
        'download_pdf' => 'Download como PDF',
        'pdf_format' => 'Formato PDF',
        'export_pdf' => 'Tabela',
        'export_pdf2' => 'Lista',
        'column_delimiter' => 'Delimitador de colunas',
        'quote_char' => 'Caractere delimitador para campos texto (string)',
        'exportCSV' => 'Exportar CSV',
        'exportPDF' => 'Exportar PDF',
        'exportXLS' => 'Exportar Planilha',
        'print' => 'Imprimir',
        'export_timeformat_help' => 'Ajuda de formato de hora',
        'subtotal' => 'Subtotal',
        'finalamount' => 'Total',
        'pdf_headline' => 'Lista de expedientes e despesas',
        'pdf_headline_only_times' => 'Lista de expedientes',
        'pdf_headline_only_expenses' => 'Lista de despesas',
        'costs' => 'Custos',
        'expense' => 'Despesas',
        'summary' => 'Resumo',
        'full_list' => 'Lista completa',
        'page' => 'Página',
        'by' => 'por',
        'done_by' => 'Criado por',
        'duration' => 'Duração',
        'customer_new_page' => 'Uma página por cliente',
        'times_and_expenses' => 'Horários e despesas',
        'times' => 'Horários',
        'expenses' => 'Despesas',
        'reverse_order' => 'Antigos primeiro',
        'time_period' => 'Período',
        'duration_unit' => 'h',
        'time_type' => 'Formato de hora',
        'dec_time' => 'Hora decimal',
        'time' => 'Horário padrão',
    ],

    'ext_invoice' => [
        'invoiceTitle' => 'Criar fatura',
        'invoiceCustomer' => 'Cliente',
        'invoiceProject' => 'Projetos',
        'invoiceTimePeriod' => 'Período',
        'invoiceTemplate' => 'Modelo de fatura',
        'defaultVat' => 'Imposto padrão',
        'invoiceOptionShort' => 'Fatura resumida',
        'invoiceOptionRound' => 'Tempo arredondado',
        'invoiceButton' => 'Faturar',
        'noData' => 'Não há registros para o projeto selecionado no período',
        'noProject' => 'Nenhum projeto selecionado.',
        'includedEntries' => 'Incluir registros',
        'failure' => 'Falha ao criar fatura: %s',
        'sortOrder' => 'Ordenar',
        'orderDateAsc' => 'Antigos primeiro',
        'orderDateDesc' => 'Novos primeiro',
        'noDateSelected' => 'Nenhum período selecionado',
    ],

    'ext_budget' => [
        'unusedBudget' => 'Não utilizado'
    ],

    'extensionsTitle' => 'Extensões',

    'permissions' => [
        'view' => 'Ver',
        'edit' => 'Editar',
        'delete' => 'Excluir',
        'assign' => 'Atribuir',
        'unassign' => 'Remover atribuição',
        'ownEntry' => 'Registro próprio',
        'otherEntry' => 'Registros de outros usuários',
        'ownGroup' => 'Mesmo grupo',
        'otherGroup' => 'Outro grupo',
        'showRates' => 'Mostrar taxas',
        'editRates' => 'Editar taxas',
        'editAdvanced' => 'Editar configurações avançadas'
    ],

    'extensions' => [
        'adminPanel_extension' => 'Administrar',
        'ki_timesheet' => 'Registro de Tarefas',
        'ki_timesheets' => 'Registros de Tarefas',
        'ki_expenses' => 'Despesas',
        'ki_invoice' => 'Faturas',
        'deb_ext' => 'Depurar',
        'ap_ext' => 'Preferência',
        'ki_budget' => 'Orçamentos',
        'ki_export' => 'Exportar',
        'core' => 'Permissões',
        'demo_ext' => 'Demo'
    ],

    'updatecheck' => [
        'release' => '<b>Está disponível uma atualização oficial, com novos recursos e correções de problemas. A atualização é recomendada.</b>',
        'beta' => '<i>Nova versão beta disponível. O Beta pode ser encontrado na página de download para testar, mas não recomendamos o uso em ambientes de produção.</i>',
        'current' => 'Você já está na versão mais recente! :)'
    ],

    'debug' => [
        'lines' => '(Limitar em %s linhas)',
        'logfile' => 'Arquivo de Log',
        'clear' => 'Limpar Arquivo de Log',
        'log_delete' => 'Log excluído',
    ],

];
